# Interface Froca

interface Froca {
attachments : Record <string, FAttachment >;
attributes : Record <string, FAttribute >;
blobPromises : Record <string, null | Promise<void | default >>;
branches : Record <string, FBranch >;
notes : Record <string, FNote >;
getAttachmentsForNote (noteId: string): Promise< FAttachment []>;
getBlob (
entityType: string,
entityId: string,
): Promise<null | void | default >;
getBranch (
branchId: string,
silentNotFoundError?: boolean,
): undefined | FBranch ;
getBranches (branchIds: string[], silentNotFoundError?: boolean): FBranch [];
getNote (
noteId: string,
silentNotFoundError?: boolean,
): Promise<null | FNote >;
getNoteFromCache (noteId: string): FNote ;
getNotes (
noteIds: string[],
silentNotFoundError?: boolean,
): Promise< FNote []>;
getNotesFromCache (
noteIds: string[],
silentNotFoundError?: boolean,
): FNote [];
}

- Defined in src/public/app/services/froca-interface.ts:7

##### Index

### Properties

attachments
attributes
blobPromises
branches
notes

### Methods

getAttachmentsForNote
getBlob
getBranch
getBranches
getNote
getNoteFromCache
getNotes
getNotesFromCache

## Properties

### attachments

attachments: Record <string, FAttachment >

- Defined in src/public/app/services/froca-interface.ts:11

### attributes

attributes: Record <string, FAttribute >

- Defined in src/public/app/services/froca-interface.ts:10

### blobPromises

blobPromises: Record <string, null | Promise<void | default >>

- Defined in src/public/app/services/froca-interface.ts:12

### branches

branches: Record <string, FBranch >

- Defined in src/public/app/services/froca-interface.ts:9

### notes

notes: Record <string, FNote >

- Defined in src/public/app/services/froca-interface.ts:8

## Methods

### getAttachmentsForNote

- getAttachmentsForNote(noteId: string): Promise< FAttachment []>

  #### Parameters

  - noteId: string

  #### Returns Promise< FAttachment []>

  - Defined in src/public/app/services/froca-interface.ts:23

### getBlob

- getBlob(entityType: string, entityId: string): Promise<null | void | default >

  #### Parameters

  - entityType: string
  - entityId: string

  #### Returns Promise<null | void | default >

  - Defined in src/public/app/services/froca-interface.ts:14

### getBranch

- getBranch(branchId: string, silentNotFoundError?: boolean): undefined | FBranch

  #### Parameters

  - branchId: string
  - `Optional` silentNotFoundError: boolean

  #### Returns undefined | FBranch

  - Defined in src/public/app/services/froca-interface.ts:20

### getBranches

- getBranches(branchIds: string[], silentNotFoundError?: boolean): FBranch []

  #### Parameters

  - branchIds: string[]
  - `Optional` silentNotFoundError: boolean

  #### Returns FBranch []

  - Defined in src/public/app/services/froca-interface.ts:21

### getNote

- getNote(noteId: string, silentNotFoundError?: boolean): Promise<null | FNote >

  #### Parameters

  - noteId: string
  - `Optional` silentNotFoundError: boolean

  #### Returns Promise<null | FNote >

  - Defined in src/public/app/services/froca-interface.ts:15

### getNoteFromCache

- getNoteFromCache(noteId: string): FNote

  #### Parameters

  - noteId: string

  #### Returns FNote

  - Defined in src/public/app/services/froca-interface.ts:16

### getNotes

- getNotes(noteIds: string[], silentNotFoundError?: boolean): Promise< FNote []>

  #### Parameters

  - noteIds: string[]
  - `Optional` silentNotFoundError: boolean

  #### Returns Promise< FNote []>

  - Defined in src/public/app/services/froca-interface.ts:18

### getNotesFromCache

- getNotesFromCache(noteIds: string[], silentNotFoundError?: boolean): FNote []

  #### Parameters

  - noteIds: string[]
  - `Optional` silentNotFoundError: boolean

  #### Returns FNote []

  - Defined in src/public/app/services/froca-interface.ts:17